Cyberduck Mountain Duck CLI

#9552 closed defect (fixed)

Transfer incomplete

Reported by: BillZion Owned by: dkocher
Priority: high Milestone: 6.4.0
Component: b2 Version: 6.3.2
Severity: normal Keywords: Backblaze, B2, upload
Cc: boomer04@… Architecture: Intel
Platform: macOS 10.12

Description (last modified by BeeZet)

Trying to upload encrypted files by Cryptomator to the Backblaze B2 storage. I tried different times to upload several folders with a total size of about 6.9 GB and in total about 130 files, with the biggest one having about 680 MB.

There were files uploaded, but I couldn't check manually, if they are corrupt.

The error I get is always, that the file transfer is incomplete. Then I tried to upload just some single files, which worked fine, though.

Output of the console system.log filtering for "cyberduck":

Aug 21 00:26:07 Bjoerns-MacBook-Pro Cyberduck[12987]: assertion failed: 16G29: libxpc.dylib + 74307 [BF896DF0-D8E9-31A8-A4B3-01120BFEEE52]: 0x89
Aug 21 00:31:06 Bjoerns-MacBook-Pro Cyberduck[12987]: BUG in libdispatch client: kevent[EVFILT_MACHPORT] monitored resource vanished before the source cancel handler was invoked

Change History (22)

comment:1 Changed on May 17, 2016 at 12:44:10 PM by dkocher

  • Component changed from core to b2

comment:3 follow-up: Changed on May 17, 2016 at 7:42:24 PM by dkocher

Can you make sure you are running version 4.9.2 (19773).

comment:4 in reply to: ↑ 3 Changed on May 18, 2016 at 8:14:41 AM by BillZion

Replying to dkocher:

Can you make sure you are running version 4.9.2 (19773).

Yes - that's correct.

Alex

comment:5 Changed on May 18, 2016 at 7:48:48 PM by dkocher

  • Summary changed from Transfer incomplete uploading to Backblaze B2 (and duplicate directory entries) to Transfer incomplete uploading from Time Machine volume

comment:6 follow-up: Changed on May 19, 2016 at 7:48:02 AM by BillZion

The Volume is called 'Time Machine' but as it happens it is just a regular Mac OS X volume containing a couple of large folders.

comment:7 Changed on May 19, 2016 at 9:04:27 AM by dkocher

  • Milestone set to 5.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:8 Changed on May 19, 2016 at 9:06:03 AM by dkocher

  • Summary changed from Transfer incomplete uploading from Time Machine volume to Transfer incomplete uploading large folders

comment:9 in reply to: ↑ 6 Changed on May 19, 2016 at 9:10:50 AM by dkocher

Replying to BillZion:

The Volume is called 'Time Machine' but as it happens it is just a regular Mac OS X volume containing a couple of large folders.

Do you refer to large files within that folder or many files?

comment:10 Changed on May 19, 2016 at 9:17:54 AM by BillZion

Both large files (up to 1GB) and overall large in size (± 8 GB).

comment:11 Changed on May 19, 2016 at 11:04:32 AM by dkocher

  • Summary changed from Transfer incomplete uploading large folders to Transfer incomplete using large file upload API

comment:12 Changed on May 20, 2016 at 7:08:51 AM by dkocher

Added test in r20552.

comment:13 Changed on May 20, 2016 at 7:09:04 AM by dkocher

Added test in r20556.

comment:14 Changed on May 20, 2016 at 1:50:09 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r20573.

comment:15 Changed on Aug 22, 2017 at 12:17:21 AM by BeeZet

  • Cc boomer04@… added
  • Description modified (diff)
  • Keywords upload added
  • Platform changed from Mac OS X 10.11 to macOS 10.12
  • Priority changed from normal to high
  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Summary changed from Transfer incomplete using large file upload API to Transfer incomplete using file upload API
  • Version changed from 4.9.3 to 6.2.2

comment:17 Changed on Nov 16, 2017 at 7:04:01 AM by dkocher

  • Summary changed from Transfer incomplete using file upload API to Transfer incomplete

comment:18 Changed on Nov 16, 2017 at 9:42:31 AM by dkocher

  • Milestone changed from 5.0 to 7.0

comment:19 Changed on Nov 17, 2017 at 8:58:52 AM by dkocher

#10126 closed as duplicate.

comment:20 Changed on Dec 26, 2017 at 1:51:01 AM by balupton

I get this every time when uploading a 30GB folder with a screenflow document and a few movies, and is preventing me from using Cyberduck for B2 uploads. Happy for developers to remote into my machine anytime via https://balupton.com/meet

Cyberduck Version 6.3.2 (27291)

comment:21 Changed on Feb 4, 2018 at 5:09:41 PM by dkocher

  • Version changed from 6.2.2 to 6.3.2

comment:22 Changed on Feb 6, 2018 at 12:36:55 PM by dkocher

  • Milestone changed from 7.0 to 6.4.0

comment:23 Changed on Feb 7, 2018 at 8:22:48 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r43864.

comment:24 Changed on Feb 17, 2018 at 3:02:09 PM by dkocher

#9994 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software